Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451582

Summary: Review Request: kvirc - themeable qt based irc client
Product: [Fedora] Fedora Reporter: Steven M. Parrish <tuxbrewr>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, atorkhov, cse.cem+redhatbugz, fedora-package-review, notting, rdieter, wolfy
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-28 11:16:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Steven M. Parrish 2008-06-16 01:03:46 UTC
Spec file and SRPM can be found here http://tuxbrewr.fedorapeople.org/kvirc/

Description: QT based IRC Client

Build logs here

F8    http://koji.fedoraproject.org/koji/taskinfo?taskID=663016
F9    http://koji.fedoraproject.org/koji/taskinfo?taskID=663021
F10   http://koji.fedoraproject.org/koji/taskinfo?taskID=663032

Project homepage is here http://www.kvirc.net/

Comment 1 Rex Dieter 2008-06-23 19:26:53 UTC
neat, consider doing http://quassel-irc.org/ ?  or know of any plans for kvirc
porting to qt4?

Comment 2 Steven M. Parrish 2008-06-23 20:00:23 UTC
Yes they are working on a QT4 port atm.  Also will look at quassel-irc and work
up a package for that one as well. -)

Comment 3 Steven M. Parrish 2008-07-20 21:28:51 UTC
Uploaded new SPEC and SRPM to the usual place.

New Build logs are here

F8 http://koji.fedoraproject.org/koji/taskinfo?taskID=729005
F9 http://koji.fedoraproject.org/koji/taskinfo?taskID=729000
F10 http://koji.fedoraproject.org/koji/taskinfo?taskID=729010

Comment 4 manuel wolfshant 2008-09-29 20:57:11 UTC
Couple of comments / suggestions:
  %configure --x-includes=/usr/include --x-libraries=/usr/%{libdir}
should probably become
  %configure --x-includes=%{_includedir} --x-libraries=%{_libdir}

  make
should be replaced with
  make %{?_smp_mflags}
(unless there is a known reason to not do it, in which case a comment should be added to the spec)


 And I think that there are some BRs which are missing (or is this intentional maybe?) because the buildlog says 
    checking for the KDE libraries... "FAILED" (-> kdelibs-devel ?)
    checking If we can compile and link a small SSL test application... no (-> openssl-devel?)
    checking for secure connections support... disabled: failed to compile the test program
    checking for Esound daemon support... disabled by user (-> pulseaudio-esound-compat ?)
    checking if Arts support is requested... no KDE so no Arts (->arts-devel ?)
    checking if you want to link to libresolv... no (-> glibc-devel ?)
    checking if you want to link to libsocket... no
    checking if you want to link to libnsl... no
I left out some other failed checks which seem to require bits that do not exist in Fedora (libXss, audiofile, perl(ExtUtils:Embed))

Comment 5 manuel wolfshant 2008-09-29 21:15:44 UTC
uhm, and rpmlint could be made happier too:
rpmlint of kvirc-debuginfo:
kvirc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/kvirc-3.4.0/src/kvirc/ui/kvi_modew.h
kvirc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/kvirc-3.4.0/src/kvirc/ui/kvi_modew.cpp
kvirc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/kvirc-3.4.0/src/modules/help/index.h
kvirc-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/kvirc-3.4.0/src/modules/help/index.cpp

rpmlint of kvirc:
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_ircurl.h
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_kvs_treenode_extendedscopevariable.h
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_kvs_treenode_specialcommandclass.h
kvirc.x86_64: E: script-without-shebang /usr/share/kvirc/3.4/modules/libkvisharedfileswindow.la
kvirc.x86_64: E: script-without-shebang /usr/share/kvirc/3.4/modules/libkviclock.la
kvirc.x86_64: E: script-without-shebang /usr/share/kvirc/3.4/modules/libkvireguser.la
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_valuelist.h
kvirc.x86_64: E: script-without-shebang /usr/share/kvirc/3.4/modules/libkvidialog.la
kvirc.x86_64: E: zero-length /usr/share/kvirc/3.4/locale/notifier_pt_BR.mo
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_url.h
kvirc.x86_64: E: zero-length /usr/share/kvirc/3.4/locale/filetransferwindow_it.mo
kvirc.x86_64: E: zero-length /usr/share/kvirc/3.4/locale/about_hr.mo
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_tal_mainwindow_qt4.h
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_tal_groupbox_qt4.h
kvirc.x86_64: E: zero-length /usr/share/kvirc/3.4/locale/logview_hu.mo
kvirc.x86_64: W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/kvi_tal_listbox_qt3.h
[...]
 and so on up to
1 packages and 0 specfiles checked; 361 errors, 497 warnings.
All the messages can be grouped in
- W: devel-file-in-non-devel-package /usr/include/kvirc/3.4.0/*.h
- E: zero-length /usr/share/kvirc/3.4/locale/*.mo
- E: script-without-shebang /usr/share/kvirc/3.4/modules/*.la
- W: file-not-in-%lang /usr/share/kvirc/3.4/locale/*.mo

The messages about the locale files are probably related to a missing gettext-devel BR.

In addition
- the source and doc files (below /usr/include and /usr/share/)  are included in kvirc.rpm without having their timestamp preserved, which would be nice to be fixed. And given the very large number of files, I think that you should consider packaging them separately, in -devel and -doc. Unless all those .h are needed for runtime, which I doubt
- /usr/include/kvirc/ and /usr/share/kvirc/ are unowned
- lots of docs from the original tarball have not been included. I mean here the /doc folder (including the license!) + example scripts, the README and FAQ files and so on

Comment 6 Steven M. Parrish 2008-12-17 00:28:46 UTC
Still working on a few issues.  Should have a new SPEC and SRPM ready for review later this week.

Steven

Comment 7 Michael Schwendt 2009-02-11 10:29:10 UTC
[just setting NEEDINFO so the status becomes clear in the review queue]

Comment 8 nucleo 2009-03-20 10:12:04 UTC
(In reply to comment #2)

kvirc QT4 port can be build from svn

http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0-0.3.svn3150.fc10.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=1250981

Mostly works fine but I notice strange behavior of tray icon and panel.

Comment 9 nucleo 2009-03-20 14:41:01 UTC
Updated spec file fixes all rpmlint errors with binary rpm's:

5 packages and 1 specfiles checked; 0 errors, 0 warnings

http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc.spec
http://nucleo.fedorapeople.org/pkg-reviews/kvirc/kvirc-4.0-0.4.svn3151.fc10.src.rpm

Build logs can be found here
http://koji.fedoraproject.org/koji/taskinfo?taskID=1251297

Comment 10 Alexey Torkhov 2009-03-22 07:40:32 UTC
Steven, you perhaps should collaborate with nucleo if you wish to continue to work on this package. Otherwise, this ticket should be closed and new opened.

Comment 11 nucleo 2009-03-28 11:16:34 UTC

*** This bug has been marked as a duplicate of bug 492690 ***

Comment 12 Alexey Torkhov 2009-03-28 11:20:44 UTC
No reply has seen, moving review to new bug.